--można uruchomić w programie sqlplus przy pomocy polecenia:
--@<sciezka>\oraclepc.sql

CREATE OR REPLACE PROCEDURE MojSelect(nazwa_tabeli IN VARCHAR2, wynik OUT INTEGER) AS
    id_kursora INTEGER;
BEGIN
    -- otwarcie kursora
    id_kursora:= DBMS_SQL.OPEN_CURSOR;
    -- zparsowanie i uruchomienie zapytania
    DBMS_SQL.PARSE(id_kursora, 'TRUNCATE TABLE  ' || nazwa_tabeli, DBMS_SQL.V7);
    -- zamknięcie kursora
    DBMS_SQL.CLOSE_CURSOR(id_kursora);
    wynik:=0;
EXCEPTION
    -- bez względu na rodzaj błędu należy zamknąć kursor
    WHEN OTHERS THEN
    DBMS_SQL.CLOSE_CURSOR(id_kursora);
    -- i ponowić wyjątek
    --RAISE;
    --lub zwrócić błąd
    wynik:=-1;
END MojSelect;
